// c_move
// FUNCTION PROTOTYPES
function player_walk(); // prototype for walking
function player_base_gravity(); // prototype for gravity
// global vars
var move_vec[3] = 0,0,0; // 3 vectors to move x,y,z
// sounds (steps, hurt aso)
/////////////////////////////////////////////////////////////////////////////////////////////////
// if the player is hit by an enemy
//function init player
function player_init()
{
	player = me;
	while(player.health > 0)
	{
		Camera.clip_near = 5; // erlaubt sehr nahes herangehen
		Camera.clip_far  = 2800;
		init_camera();
		player_walk();
		animate_states();
		player_base_gravity();
		wait(1);
	}
}
/////////////////////////////////////////////////////////////////////////////////////////////////
// player can walk
function player_walk()
{
	move_vec[0] = (key_w - key_s)*10 *time; // 10 on x
	move_vec[1] = (key_a - key_d) *10 *time; // 10 on y
	if(key_w && key_shift) // run
	{
		move_vec +=10 *time;
	}
	move_mode = IGNORE_YOU + IGNORE_PASSABLE + IGNORE_PUSH + ACTIVATE_TRIGGER + GLIDE;
	ent_move(move_vec, nullvector); // player move about the move_vec
	wait(1);	
}
/////////////////////////////////////////////////////////////////////////////////////////////////
//base gravity for player
function player_base_gravity()
{
	vec_set(temp,my.x);
	temp.z -= 80000;
	trace_mode = ignore_me+ignore_sprites+ignore_models+use_box;
	move_vec.z = -trace(my.x,temp)*time;
	wait(1);
}
